%define name	xffm-filemanager
%define version 4.5.0
%define release %mkrel 3

Name: 	 	%{name}
Summary: 	A file manager for XFCE
Version: 	%{version}
Release: 	%{release}

Source:		http://downloads.sourceforge.net/xffm/%{name}-%{version}.tar.bz2
URL:		http://xffm.sf.net
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	xfce-dev-tools
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRequires:	intltool
BuildRequires:	libsm-devel
BuildRequires:	glib-gettextize
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:	xffm-gui-devel
BuildRequires:	libxffm-devel >= 4.5.0
BuildRequires:	dbh-devel >= 4.5.0

%description
The Xffm-filemanager has three different GUI's:
    * Xffm-iconview: a spatial iconview filemanager
    * Xffm-deskview: a desktop view for ~/Desktop folder (or other)
    * Xffm-treeview: a treeview filemanager

%package -n %{name}-devel
Summary:	Development files for xffm-filemanager
Group:		Development/C

%description -n %{name}-devel
Development files for xffm-filemanager.

%prep
%setup -q

%build
aclocal -I /usr/share/xfce4/dev-tools/m4macros -I ./m4
autoconf
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall
%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS* README*
%{_bindir}/xffm*
%{_libdir}/xffm/mcs-shm/libxffmsettings.so
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/xffm

%files -n %{name}-devel
%{_libdir}/xffm/mcs-shm/libxffmsettings.la
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Mar 07 2007 Nicolas Lécureuil <neoclust@mandriva.org> 4.5.0-3mdv2007.1
+ Revision: 134749
- Fix Group

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 4.5.0-2mdv2007.1
+ Revision: 108204
- use find-lang

* Thu Jan 11 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-1mdv2007.1
+ Revision: 107496
- BuildRequires libsm-devel
- Additional BuildRequires
- Fix description
- First mandriva package
- Create xffm-filemanager

